/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-11-14
 * 描述            ：操作日志
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Packing.Result.impl;
import java.util.List;

import market.Com.vo.CommonPage;
import market.Com.vo.ResultModel;
import market.Mes.Packing.Result.mapper.MesOprInfoMapper;
import market.Mes.Packing.Result.service.MesOprInfoService;
import market.Mes.Packing.Result.vo.MesOprInfo;

import com.hnshituo.basic.service.impl.BaseServiceImpl;
import com.hnshituo.basic.spring.remoting.annotation.RemoteService;

@RemoteService(path="MesOprInfoService")
public class MesOprInfoServiceImpl extends BaseServiceImpl<MesOprInfo,Object> implements MesOprInfoService {
	
	/**
	 * 获取异重交工的数据合并
	 * @param cp
	 * @return
	 * @throws Exception
	 */
	public ResultModel doQueryMesOprInfo(CommonPage<MesOprInfo> cp) throws Exception{
		ResultModel rm  = new ResultModel();
		MesOprInfo moi = cp.getObject();
		String swhere = "";
		if (moi.getMat_coil_no()!=null && !"".equals(moi.getMat_coil_no())) {
			swhere += " and t.mat_coil_no like '%"+moi.getMat_coil_no()+"%'";
		}
		if (moi.getCoil_no()!=null && !"".equals(moi.getCoil_no())) {
			swhere += " and exists (select 1 from mes_opr_info m where m.coil_no like '%"+moi.getCoil_no()+"%' and t.mat_coil_no = m.mat_coil_no) ";		
		}
		if (cp.getStartTime()!=null && !"".equals(cp.getStartTime())) {
			swhere += " and t.create_time >= to_date('"+cp.getStartTime()+" 00:00:00','yyyy-mm-dd hh24:mi:ss')";
		}
		if (cp.getEndTime()!=null && !"".equals(cp.getEndTime())) {
			swhere += " and t.create_time <= to_date('"+cp.getEndTime()+" 23:59:59','yyyy-mm-dd hh24:mi:ss')";
		}
		List<MesOprInfo> list = this.getMapper(MesOprInfoMapper.class).doQueryMesOprInfo(swhere);		 		 
		rm.setData(list);
		rm.setState("200");
		rm.setMsgInfo("查询成功");		
		return rm;
	}
	
	/**
	 * 获取明细
	 * @param cp
	 * @return
	 * @throws Exception
	 */
	public ResultModel doQueryMesOprInfoDetail(CommonPage<MesOprInfo> cp) throws Exception{
		ResultModel rm  = new ResultModel();
		MesOprInfo moi = cp.getObject();
		String swhere = "";
		if (moi.getMat_coil_no()!=null && !"".equals(moi.getMat_coil_no())) {
			swhere += " and t.mat_coil_no = '"+moi.getMat_coil_no()+"'";
		}
		List<MesOprInfo> list = this.getMapper(MesOprInfoMapper.class).doQueryMesOprInfoDetail(swhere);		 		 
		rm.setData(list);
		rm.setState("200");
		rm.setMsgInfo("查询成功");		
		return rm;
	}
	
}
